Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007661ScribusShape Drawingpublic2008-12-15 00:582014-06-25 00:16
Reportermahfiaz 
Assigned Tofschmid 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version1.5.0Fixed in Version1.5.0svn 
Summary0007661: Bezier bounding box miscalculation
DescriptionIt seems like bezier handles are also included as points to bounding box calculations. This of course is more resource friendlyb but gives unexpected results. I think inkscape has functions for this in its lib2geom library.

One simple example is attached, import it into scribus to see the bounding box too large from right side.
Tagslayout
Patch
Attached Files? file icon bezier bounding box miscalculation.svg [^] (2,364 bytes) 2008-12-15 00:58
? file icon bezier bounding box miscalculation bug.svg [^] (2,364 bytes) 2013-08-24 07:18

- Relationships
has duplicate 0012153closedjghali scribus defines incorrect bounding boxes for vector objects. 

-  Notes
(0020786)
jghali (administrator)
2008-12-15 01:20

The values are calculated directly from the "width", "height", and "viewbox" attributes of top svg element. Can't do much if those are too large.
(0020787)
mahfiaz (reporter)
2008-12-15 01:38

No, this is not the case. The SVG is converted to native objects on importing. I also could draw bezier curves directly in scribus which present the same behavior: bounding box being calculated by nodes not by path itself.
(0020788)
jghali (administrator)
2008-12-15 01:52

I think i know better than you here as the current svg importer has been coded by me. The svg contains a path which explain why you see the bounding box as it is. Please provide a valid sample then.
(0020789)
mahfiaz (reporter)
2008-12-15 02:11
edited on: 2013-08-24 07:18

See the attached sla file.
This one curve is drawn using the "Bezier curve" tool in scribus. I also am not saying it is definitely bug, but this is unexpected behaviour, as most other programs handle this the other way.

Sorry for being intrusive, my apologies, it wasn't meant to be so.

(0020904)
jghali (administrator)
2009-01-10 23:40

Targetting 1.3.6 for now, will fix in 1.3.5 if possible
(0020905)
jghali (administrator)
2009-01-10 23:47
edited on: 2009-01-10 23:50

No, won't fix in 1.3.5, that would cause major change in text layout of existing documents

(0030527)
mahfiaz (reporter)
2013-08-24 07:19

I uploaded the example .sla file here, so it won't get lost anymore.
(0031967)
FirasH (developer)
2014-06-01 17:20

Isn't it fixed in 1.5?
(0032295)
jghali (administrator)
2014-06-25 00:15

Works indeed in 1.5.0svn. Resolving/closing consequently.

- Issue History
Date Modified Username Field Change
2008-12-15 00:58 mahfiaz New Issue
2008-12-15 00:58 mahfiaz File Added: bezier bounding box miscalculation.svg
2008-12-15 01:20 jghali Note Added: 0020786
2008-12-15 01:20 jghali Status new => resolved
2008-12-15 01:20 jghali Resolution open => no change required
2008-12-15 01:20 jghali Assigned To => jghali
2008-12-15 01:20 jghali Status resolved => closed
2008-12-15 01:38 mahfiaz Note Added: 0020787
2008-12-15 01:38 mahfiaz Status closed => feedback
2008-12-15 01:38 mahfiaz Resolution no change required => reopened
2008-12-15 01:52 jghali Note Added: 0020788
2008-12-15 01:56 jghali Assigned To jghali =>
2008-12-15 02:11 mahfiaz Note Added: 0020789
2009-01-10 23:33 jghali Status feedback => confirmed
2009-01-10 23:40 jghali Note Added: 0020904
2009-01-10 23:40 jghali Target Version => 1.3.6
2009-01-10 23:47 jghali Note Added: 0020905
2009-01-10 23:50 jghali Note Edited: 0020905
2013-08-24 07:18 mahfiaz File Added: bezier bounding box miscalculation bug.svg
2013-08-24 07:18 mahfiaz Note Edited: 0020789 View Revisions
2013-08-24 07:19 mahfiaz Note Added: 0030527
2014-03-20 16:32 jghali Relationship added has duplicate 0012153
2014-04-07 17:11 JLuc Tag Attached: layout
2014-06-01 17:20 FirasH Note Added: 0031967
2014-06-25 00:15 jghali Note Added: 0032295
2014-06-25 00:15 jghali Status confirmed => resolved
2014-06-25 00:15 jghali Fixed in Version => 1.5.0svn
2014-06-25 00:15 jghali Resolution reopened => fixed
2014-06-25 00:15 jghali Assigned To => fschmid
2014-06-25 00:16 jghali Status resolved => closed



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker